Bug 616669 - [CJKI] Copied/Pasted URL Link is broken if text is in CJKI Language
[CJKI] Copied/Pasted URL Link is broken if text is in CJKI Language
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firefox (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Gecko Maintainer
desktop-bugs@redhat.com
: i18n, RHELNAK, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 02:15 EDT by A S Alam
Modified: 2013-07-02 21:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-29 08:19:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 408890 None None None Never
Mozilla Foundation 479039 None None None Never

  None (edit)
Description A S Alam 2010-07-21 02:15:12 EDT
Description of problem:
while copy past URL from Firefox in CJKI languages, text is broken.

Version-Release number of selected component (if applicable):
firefox-3.6.6-2.el6.x86_64
xulrunner-1.9.2.6-1.el6.x86_64
pango-1.28.1-3.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. running localized Desktop (ml_IN.UTF-8)
2. run firefox
3. open http://ko.wikipedia.org
4. let webpage open
5. copy URL (which contains localize text)
6. Paste in gedit/oowriter
  
Actual results:
URL is shown as Hexdecimal (instead of UTF-8)
(http://ko.wikipedia.org/wiki/%EC%9C%84%ED%82%A4%EB%B0%B1%EA%B3%BC:%EB%8C%80%EB%AC%B8)

Expected results:
it should be UTF-8 when copy paste
(http://ko.wikipedia.org/wiki/위키백과:대문)


Additional info:
Copy/Paste from Konqueror is ok
Comment 2 RHEL Product and Program Management 2010-07-21 02:37:49 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Note You need to log in before you can comment on or make changes to this bug.